# `MMG_jll.jl` (v5.6.0+0)

[![deps](https://juliahub.com/docs/MMG_jll/deps.svg)](https://juliahub.com/ui/Packages/MMG_jll/lDds7?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/d45b45672ab10785416f2a48d711fa3aaec48a32/M/MMG/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `MMG_jll.jl` have been built from these sources:

* compressed archive: https://github.com/MmgTools/mmg/archive/refs/tags/v5.6.0.tar.gz (SHA256 checksum: `bbf9163d65bc6e0f81dd3acc5a51e4a8c47a7fdae849abc26277e01154fe2437`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/d45b45672ab10785416f2a48d711fa3aaec48a32/M/MMG/bundled)

## Platforms

`MMG_jll.jl` is available for the following platforms:

* `macOS aarch64` (`aarch64-apple-darwin`)
* `Linux aarch64 {libc=glibc}` (`aarch64-linux-gnu`)
* `Linux aarch64 {libc=musl}` (`aarch64-linux-musl`)
* `Linux armv6l {call_abi=eabihf, libc=glibc}` (`armv6l-linux-gnueabihf`)
* `Linux armv6l {call_abi=eabihf, libc=musl}` (`armv6l-linux-musleabihf`)
* `Linux armv7l {call_abi=eabihf, libc=glibc}` (`armv7l-linux-gnueabihf`)
* `Linux armv7l {call_abi=eabihf, libc=musl}` (`armv7l-linux-musleabihf`)
* `Linux i686 {libc=glibc}` (`i686-linux-gnu`)
* `Linux i686 {libc=musl}` (`i686-linux-musl`)
* `Windows i686` (`i686-w64-mingw32`)
* `Linux powerpc64le {libc=glibc}` (`powerpc64le-linux-gnu`)
* `macOS x86_64` (`x86_64-apple-darwin`)
* `Linux x86_64 {libc=glibc}` (`x86_64-linux-gnu`)
* `Linux x86_64 {libc=musl}` (`x86_64-linux-musl`)
* `FreeBSD x86_64` (`x86_64-unknown-freebsd`)
* `Windows x86_64` (`x86_64-w64-mingw32`)

## Dependencies

The following JLL packages are required by `MMG_jll.jl`:

* [`LinearElasticity_jll`](https://github.com/JuliaBinaryWrappers/LinearElasticity_jll.jl)
* [`SCOTCH_jll`](https://github.com/JuliaBinaryWrappers/SCOTCH_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libmmg`
* `LibraryProduct`: `libmmg2d`
* `LibraryProduct`: `libmmg3d`
* `LibraryProduct`: `libmmgs`
* `ExecutableProduct`: `mmg2d_O3`
* `ExecutableProduct`: `mmg3d_O3`
* `ExecutableProduct`: `mmgs_O3`
